Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Interface MfTransactionMetricsMBean

All Superinterfaces:
  MfMetricMBean, MfStatusMBean

All Known Implementing Classes:
  MfTransactionMetrics

public interface MfTransactionMetricsMBean
extends MfMetricMBean

MfTransactionMetricsMBean contains the computed metrics related to transactions exposed for monitoring purpose.

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Method Summary
`long` | `getAccumulatedResponseTime()` Get the accumulated response time of this URI since the reference time.
`long` | `getAccumulatedServiceTime()` Get the accumulated service time of this URI since the reference time.
`long` | `getAccumulatedSqResponseTime()` Get the accumulated squared response time of this URI since the reference time.
`long` | `getAccumulatedSqServiceTime()` Get the accumulated squared Service time of this URI since the reference time.
`long` | `getMaxResponseTime()` Get the maximum response time of this URI since the reference time.
`long` | `getMaxServiceTime()` Get the maximum service time of this URI since the reference time.
`long` | `getMinResponseTime()` Get the minimum response time of this URI since the reference time.
`long` | `getMinServiceTime()` Get the minimum service time of this URI since the reference time.
`long` | `getNbAbortedRequests()` Get the number of aborted requests for this URI.
`long` | `getNbFailedRequests()` Get the number of failed requests for this URI.
`long` | `getNbInRequests()` Get the number of requests received by this URI.
`long` | `getNbOutRequests()` Get the number of requests responded by this URI.
`long` | `getSingleAccumulatedServiceTime()` Get the accumulated service time of this URI since the reference time.
`long` | `getSingleAccumulatedSqServiceTime()` Get the accumulated squared Service time of this URI since the reference time.
`long` | `getSingleMaxServiceTime()` Get the maximum service time of this URI since the reference time.
`long` | `getSingleMinServiceTime()` Get the minimum service time of this URI since the reference time.
`long` | `getSingleNbAbortedRequests()` Get the number of aborted requests for this URI.
`long` | `getSingleNbFailedRequests()` Get the number of failed requests for this URI.
`java.lang.String` | `getUri()` Get the URI associated to the transaction metrics.

Methods inherited from interface com.sun.mfwk.util.instrum.MfMetricMBean
`disableMonitoring, enableMonitoring, isMonitoringEnabled, resetMetrics`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Method Detail

### getUri

    public java.lang.String getUri()

  Get the URI associated to the transaction metrics.

### getNbInRequests

    public long getNbInRequests()

  Get the number of requests received by this URI.

### getNbOutRequests

    public long getNbOutRequests()

  Get the number of requests responded by this URI.

### getNbFailedRequests

    public long getNbFailedRequests()

  Get the number of failed requests for this URI.

### getNbAbortedRequests

    public long getNbAbortedRequests()

  Get the number of aborted requests for this URI.

### getMaxResponseTime

    public long getMaxResponseTime()

  Get the maximum response time of this URI since the reference time.

### getMinResponseTime

    public long getMinResponseTime()

  Get the minimum response time of this URI since the reference time.

### getAccumulatedResponseTime

    public long getAccumulatedResponseTime()

  Get the accumulated response time of this URI since the reference time.

### getAccumulatedSqResponseTime

    public long getAccumulatedSqResponseTime()

  Get the accumulated squared response time of this URI since the reference time.

### getMinServiceTime

    public long getMinServiceTime()

  Get the minimum service time of this URI since the reference time.

### getMaxServiceTime

    public long getMaxServiceTime()

  Get the maximum service time of this URI since the reference time.

### getAccumulatedServiceTime

    public long getAccumulatedServiceTime()

  Get the accumulated service time of this URI since the reference time.

### getAccumulatedSqServiceTime

    public long getAccumulatedSqServiceTime()

  Get the accumulated squared Service time of this URI since the reference time.

### getSingleNbFailedRequests

    public long getSingleNbFailedRequests()

  Get the number of failed requests for this URI. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

### getSingleNbAbortedRequests

    public long getSingleNbAbortedRequests()

  Get the number of aborted requests for this URI. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

### getSingleMinServiceTime

    public long getSingleMinServiceTime()

  Get the minimum service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

### getSingleMaxServiceTime

    public long getSingleMaxServiceTime()

  Get the maximum service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

### getSingleAccumulatedServiceTime

    public long getSingleAccumulatedServiceTime()

  Get the accumulated service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

### getSingleAccumulatedSqServiceTime

    public long getSingleAccumulatedSqServiceTime()

  Get the accumulated squared Service time of this URI since the reference time. Only used for a parent transaction: this metric does not contain sub-transaction correlated data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD